ChangeSet 1.1018.1.12, 2003/04/04 17:08:26-08:00, greg@kroah.com

Kobject: add NULL to decl_subsys() due to addition of hotplug operations


 arch/i386/kernel/edd.c  |    2 +-
 drivers/acpi/bus.c      |    2 +-
 drivers/base/bus.c      |    2 +-
 drivers/base/class.c    |    4 +++-
 drivers/base/firmware.c |    2 +-
 fs/filesystems.c        |    2 +-
 net/core/dev.c          |    2 +-
 7 files changed, 9 insertions(+), 7 deletions(-)


diff -Nru a/arch/i386/kernel/edd.c b/arch/i386/kernel/edd.c
--- a/arch/i386/kernel/edd.c	Mon Apr  7 15:13:34 2003
+++ b/arch/i386/kernel/edd.c	Mon Apr  7 15:13:34 2003
@@ -598,7 +598,7 @@
 	.default_attrs	= def_attrs,
 };
 
-static decl_subsys(edd,&ktype_edd);
+static decl_subsys(edd,&ktype_edd,NULL);
 
 
 /**
diff -Nru a/drivers/acpi/bus.c b/drivers/acpi/bus.c
--- a/drivers/acpi/bus.c	Mon Apr  7 15:13:34 2003
+++ b/drivers/acpi/bus.c	Mon Apr  7 15:13:34 2003
@@ -676,7 +676,7 @@
 	return_VALUE(-ENODEV);
 }
 
-decl_subsys(acpi,NULL);
+decl_subsys(acpi,NULL,NULL);
 
 static int __init acpi_init (void)
 {
diff -Nru a/drivers/base/bus.c b/drivers/base/bus.c
--- a/drivers/base/bus.c	Mon Apr  7 15:13:34 2003
+++ b/drivers/base/bus.c	Mon Apr  7 15:13:34 2003
@@ -132,7 +132,7 @@
 
 };
 
-decl_subsys(bus,&ktype_bus);
+decl_subsys(bus,&ktype_bus,NULL);
 
 /**
  *	bus_for_each_dev - device iterator.
diff -Nru a/drivers/base/class.c b/drivers/base/class.c
--- a/drivers/base/class.c	Mon Apr  7 15:13:34 2003
+++ b/drivers/base/class.c	Mon Apr  7 15:13:34 2003
@@ -49,7 +49,9 @@
 	.sysfs_ops	= &class_sysfs_ops,
 };
 
-static decl_subsys(class,&ktype_devclass);
+/* Classes can't use the kobject hotplug logic, as
+ * they do not add new kobjects to the system */
+static decl_subsys(class,&ktype_devclass,NULL);
 
 
 static int devclass_dev_link(struct device_class * cls, struct device * dev)
diff -Nru a/drivers/base/firmware.c b/drivers/base/firmware.c
--- a/drivers/base/firmware.c	Mon Apr  7 15:13:34 2003
+++ b/drivers/base/firmware.c	Mon Apr  7 15:13:34 2003
@@ -6,7 +6,7 @@
 #include <linux/module.h>
 #include <linux/init.h>
 
-static decl_subsys(firmware,NULL);
+static decl_subsys(firmware,NULL,NULL);
 
 int firmware_register(struct subsystem * s)
 {
diff -Nru a/fs/filesystems.c b/fs/filesystems.c
--- a/fs/filesystems.c	Mon Apr  7 15:13:34 2003
+++ b/fs/filesystems.c	Mon Apr  7 15:13:34 2003
@@ -61,7 +61,7 @@
 
 
 /* define fs_subsys */
-static decl_subsys(fs, NULL);
+static decl_subsys(fs, NULL, NULL);
 
 static int register_fs_subsys(struct file_system_type * fs)
 {
diff -Nru a/net/core/dev.c b/net/core/dev.c
--- a/net/core/dev.c	Mon Apr  7 15:13:34 2003
+++ b/net/core/dev.c	Mon Apr  7 15:13:34 2003
@@ -2815,7 +2815,7 @@
 extern void dv_init(void);
 #endif /* CONFIG_NET_DIVERT */
 
-static decl_subsys(net,NULL);
+static decl_subsys(net,NULL,NULL);
 
 
 /*
